> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 컨센서스 투자의견

<ResponseExample>
  ```json 응답 (200 OK) theme={null}
  {
    "aggregate_ratings": {
      "strong_buy": 7,
      "buy": 12,
      "hold": 5,
      "sell": 2
    },
    "aggregate_type": "number",
    "low_price_target": 200,
    "high_price_target": 350,
    "consensus_price_target": 293.69192307692305,
    "consensus_rating_val": 3.923076923076923,
    "consensus_rating": "BUY",
    "updated_at": "2026-01-05T19:42:36Z",
    "total_analyst_count": 50,
    "unique_analyst_count": 26
  }
  ```

  ```json 응답 (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "유효하지 않거나 누락된 인증 토큰입니다"
      }
    ]
  }
  ```

  ```json 응답 (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "지정된 매개변수에 대한 데이터를 찾을 수 없습니다"
      }
    ]
  }
  ```

  ```json 응답 (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "요청을 처리하는 동안 예기치 않은 오류가 발생했습니다"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ko/openapi/calendar-api.spec.yml GET /api/v1/consensus-ratings
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/consensus-ratings:
    get:
      tags:
        - consensus_ratings
      summary: يُرجِع بيانات إجماع تصنيفات المحللين
      description: >-
        يعيد بيانات إجمالية عن توصيات المحللين الإجماعية لرمز تداول معيّن. يوفّر
        هذا المسار أسعارًا مستهدفة إجمالية (إجماعية)، وتوزيعًا إجماليًا
        للتقييمات، وأعداد المحللين استنادًا إلى أحدث توصيات المحللين.
      operationId: get-consensus-ratings-v1
      parameters:
        - description: >-
            يحدّد تنسيق الإرجاع. تعمل معاملات الاستعلام بالطريقة نفسها في كلا
            التنسيقين
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: عدد النتائج المُرتجَعة. الحد الأقصى 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: تاريخ بدء الاستعلام من نقطة زمنية معينة
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: تاريخ تنفيذ الاستعلام حتى نقطة زمنية معيّنة
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: >-
            رمز تداول واحد للاستعلام عن البيانات المجمّعة له. الحد الأقصى رمز
            تداول واحد
          in: query
          name: parameters[tickers]
          schema:
            type: string
        - description: >-
            لتبسيط التصنيفات المجمَّعة إلى BUY وSELL وHOLD فقط، فإن السلوك
            الافتراضي سيُرجِع جميع التصنيفات (STRONG_BUY, BUY, HOLD, SELL,
            STRONG_SELL)
          in: query
          name: simplify
          schema:
            type: boolean
            default: false
        - description: لتجميع التقييمات إما حسب العدد أو حسب النسبة المئوية
          in: query
          name: aggregate_type
          schema:
            type: string
            enum:
              - number
              - percentage
            default: number
      responses:
        '200':
          description: نجاح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.ConsensusRating'
        '204':
          description: لا محتوى
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '400':
          description: طلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.ConsensusRating:
      properties:
        aggregate_ratings:
          $ref: '#/components/schemas/calendarapi.AggregateRating'
        aggregate_type:
          example: 90D
          type: string
        consensus_price_target:
          example: 195.5
          type: number
        consensus_rating:
          example: Buy
          type: string
        consensus_rating_val:
          example: 4.2
          type: number
        high_price_target:
          example: 225
          type: number
        low_price_target:
          example: 150
          type: number
        total_analyst_count:
          example: 19
          type: integer
        unique_analyst_count:
          example: 15
          type: integer
        updated_at:
          example: '2024-01-09T16:00:00.000Z'
          type: string
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.AggregateRating:
      properties:
        buy:
          example: 10
          type: integer
        hold:
          example: 3
          type: integer
        sell:
          example: 1
          type: integer
        strong_buy:
          example: 5
          type: integer
        strong_sell:
          example: 0
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````